std::bad_exception Class Reference
Exceptions
Inheritance diagram for std::bad_exception:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

If an exception is thrown which is not listed in a function's exception specification, one of these may be thrown.

Definition at line 73 of file exception.

## Member Function Documentation

virtual const char* std::bad_exception::what | ( |  | ) | const

virtualnoexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- exception